# Retrieving entity verification results

Verifications typically take \~2 minutes on average to process. When an entity has finished processing, use this endpoint to retrieve extracted registry data along with the verification result.

***

## Retrieving the result

<mark style="color:green;">`POST`</mark> `/api-entity-status`

Retrieve the verification status, and extracted registry data.

| Name          | Value                 |
| ------------- | --------------------- |
| Content-Type  | `multipart/form-data` |
| Authorization | `Bearer YOUR_TOKEN`   |

**Body**

<table><thead><tr><th>Name</th><th width="165">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>applicantId</code></td><td>string</td><td>Unique applicantId generated on entity creation <mark style="color:red;">(required)</mark></td></tr></tbody></table>

#### Request

{% tabs %}
{% tab title="cURL" %}

```sh
curl --location 'https://enterprise.personr.co/api/1.1/wf/api-entity-status' \
--form 'applicantId="4242424242424x424242424242424242"'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var axios = require('axios');
var FormData = require('form-data');
var data = new FormData();
data.append('applicantId', '4242424242424x424242424242424242');

var config = {
  method: 'post',
maxBodyLength: Infinity,
  url: 'https://enterprise.personr.co/api/1.1/wf/api-entity-status',
  headers: { 
    ...data.getHeaders()
  },
  data : data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
var form = new FormData();
form.append("applicantId", "4242424242424x424242424242424242");

var settings = {
  "url": "https://enterprise.personr.co/api/1.1/wf/api-entity-status",
  "method": "POST",
  "timeout": 0,
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://enterprise.personr.co/api/1.1/wf/api-entity-status")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Post.new(url)
form_data = [['applicantId', '4242424242424x424242424242424242']]
request.set_form form_data, 'multipart/form-data'
response = https.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://enterprise.personr.co/api/1.1/wf/api-entity-status"

payload={'applicantId': '4242424242424x424242424242424242'}
files=[

]
headers = {}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)
```

{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200 - Approved" %}

```json
{
    "status": "success",
    "response": {
        "applicantStatus": "Reviewed",
        "reviewAnswer": "Approved",
        "createdDate": "12/09/2024",
        "rejectLabels": [],
        "entityName": "ABC Pty Ltd",
        "registrationNumber": "000000000",
        "entityType": "Australian Proprietary Company, Limited By Shares",
        "incorporatedOn": "12/12/2020",
        "entityCountry": "AUS",
        "registrySource": "Australian Securities & Investments Commission",
        "registeredAddress": "123 Example Lane, Perth, 6000, WA, Australia",
        "representativeEmail": "example@personrco",
        "representativePhone": "0400000000",
        "sourceKey": "Example Source Key",
        "externalUserId": []
    }
}
```

{% endtab %}

{% tab title="200 - Rejected" %}

```json
{
  "status": "success",
  "response": {
    "applicantStatus": "Reviewed",
    "reviewAnswer": "Rejected",
    "createdDate": "12/09/2024",
    "rejectLabels": [
      "SANCTIONS",
      "WATCHLIST"
    ],
    "entityName": "ABC Pty Ltd",
    "registrationNumber": "000000000",
    "entityType": "Australian Proprietary Company, Limited By Shares",
    "incorporatedOn": "12/12/2020",
    "entityCountry": "AUS",
    "registrySource": "Australian Securities & Investments Commission",
    "registeredAddress": "123 Example Lane, Perth, 6000, WA, Australia",
    "representativeEmail": "example@personrco",
    "representativePhone": "0400000000",
    "flowAnswers": []
  }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "statusCode": 400,
    "message": "Error: incorrect applicantId provided"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If your flow contains a custom questionnaire, see [Retrieving entity questionnaire answers](/api-documentation/entity-results/retrieving-entity-questionnaire-answers.md) to retrieve the questions and answers.
{% endhint %}

#### Applicant Status Types

`Created` The entity has been created.

<mark style="color:blue;">`Pre-Checked`</mark> The entity's documents are being processed.

<mark style="color:orange;">`Pending`</mark> The entity's data is being processed.

<mark style="color:green;">`Reviewed`</mark> The verification is complete, and results are ready.

#### Review Answer Types

<mark style="color:green;">`Approved`</mark> The entity has successfully been verified.

<mark style="color:red;">`Rejected`</mark> The entity wasn't able to be verified. Look at `rejectLabels` to see why.

{% hint style="info" %}
See the next page for a list of rejection labels, and what they mean.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://manual.personr.co/api-documentation/entity-results/retrieving-entity-verification-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
